bsod(6)

NAME
bsod - Blue Screen of Death emulator

SYNOPSIS
bsod [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay seconds] [-fps]

DESCRIPTION
The bsod program is the finest in personal computer emulation.

bsod steps through a set of screens, each one a recreation of a different failure mode of an operating system. Systems depicted include Windows 3.1, Windows 95, Windows NT, MS-DOS, AmigaDOS 1.3, Linux, SCO UNIX, BSD UNIX, HPUX, Solaris, Tru64, VMS, HVX/GCOS6, IBM OS/390, OS/2, MacOS (MacsBug, Bomb, Sad Mac, and OSX), Atari ST, Apple ][+, VMware and NCD X Terminals.

OPTIONS
bsod accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay delay
    The duration each crash-mode is displayed before selecting another.

-only which
    Tell it to run only one mode, e.g., -only HPUX.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

X RESOURCES
Notable X resources supported include the following, which control which hacks are displayed and which aren't. doWindows, doNT, doWin2K, doWin10, doRansomware, doAmiga, doMac, doMac1, doMacsBug, doMacX, doSCO, doAtari, doBSD, doLinux, doSparcLinux, doHPPALinux, doBlitDamage, doSolaris, doHPUX, doApple2, doOS390, doTru64, doVMS, doMSDOS, doOS2, doHVX, doVMware, and doATM. Each of these is a Boolean resource, they all default to true, except for doAtari, doBSD, doSparcLinux, and doHPPALinux, which are turned off by default, because they're really not all that interesting looking unless you're a fan of those systems. There are command-line options for all of these: e.g., -bsd, -no-bsd. (Also note the -only option.)

BUGS
Unlike the systems being simulated, bsod does not require a reboot after running.

SEE ALSO
X(1), xscreensaver(1), http://www.microsoft.com/, http://www.apple.com/, http://www.sco.com/, http://www.kernel.org/, and http://www.amiga.de/.

TRADEMARKS
Microsoft Windows, Microsoft Windows 95, and Microsoft Windows NT are all registered trademarks of Microsoft Corporation. Apple Macintosh is a registered trademark of Apple Computer. Amiga is a registered trademark of Amiga International, Inc. Solaris is a trademark of Sun Microsystems. HP-UX is a trademark of HP Hewlett Packard Group LLC. Nvidia is a tradmark of Nvidia Corporation. VMS is probably a trademark of Digital Equipment Corporation. Atari ST is probably a trademark, too, but it's hard to tell who owns it. SCO is probably still a trademark of somebody these days, I guess. Linux is a registered trademark of Linus Torvalds, but it isn't his fault. OS/2 is a registered trademark of International Business Machines Corporation. VMware is a registered trademark of VMware, Inc. Android is a trademark of Google LLC. GladOS is a trademark of Aperture Science Incorporated.

COPYRIGHT
Copyright © 1998-2018 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. No animals were harmed during the testing of these simulations. Always mount a scratch monkey.

AUTHOR
Concept cribbed from Stephen Martin <smartin@mks.com>. This version is by Jamie Zawinski <jwz@jwz.org>, with contributions from many others.